Skip to main content
`Ctrl`+`K`

# PetscSpaceEvaluate

Evaluate the basis functions and their derivatives (jet) at each point

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceEvaluate(PetscSpace sp, PetscInt npoints, const PetscReal points[], PeOp PetscReal B[], PeOp PetscReal D[], PeOp PetscReal H[])

## Input Parameters

- sp - The `PetscSpace`

- npoints - The number of evaluation points, in reference coordinates

- points - The point coordinates

## Output Parameters

- B - The function evaluations in a `npoints` x `nfuncs` array

- D - The derivative evaluations in a `npoints` x `nfuncs` x `dim` array

- H - The second derivative evaluations in a `npoints` x `nfuncs` x `dim` x `dim` array

## Note

Above `nfuncs` is the dimension of the space, and `dim` is the spatial dimension. The coordinates are given on the reference cell, not in real space.

## See Also

`PetscSpace`, `PetscFECreateTabulation()`, `PetscFEGetCellTabulation()`, `PetscSpaceCreate()`

## Level

beginner

## Location

src/dm/dt/space/interface/space.c

## Implementations

PetscSpaceEvaluate_Point() in src/dm/dt/space/impls/point/spacepoint.c
PetscSpaceEvaluate_Polynomial() in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpaceEvaluate_Ptrimmed() in src/dm/dt/space/impls/ptrimmed/spaceptrimmed.c
PetscSpaceEvaluate_Subspace() in src/dm/dt/space/impls/subspace/spacesubspace.c
PetscSpaceEvaluate_Sum() in src/dm/dt/space/impls/sum/spacesum.c
PetscSpaceEvaluate_Tensor() in src/dm/dt/space/impls/tensor/spacetensor.c
PetscSpaceEvaluate_WXY() in src/dm/dt/space/impls/wxy/spacewxy.c

Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages